# H248_ServiceChangeRequest Class Reference

`#include <h248.h>`

Inheritance diagram for H248_ServiceChangeRequest:

List of all members.

## Public Member Functions

| H248_ServiceChangeRequest (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H248_TerminationIDList | m_terminationID
H248_ServiceChangeParm | m_serviceChangeParms

## Constructor & Destructor Documentation

H248_ServiceChangeRequest::H248_ServiceChangeRequest | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H248_ServiceChangeRequest::GetDataLength | ( |  | ) | const

PBoolean H248_ServiceChangeRequest::Decode | ( | PASN_Stream & | strm | ) |

void H248_ServiceChangeRequest::Encode | ( | PASN_Stream & | strm | ) | const

void H248_ServiceChangeRequest::PrintOn | ( | ostream & | strm | ) | const

Comparison H248_ServiceChangeRequest::Compare | ( | const PObject & | obj | ) | const

PObject* H248_ServiceChangeRequest::Clone | ( |  | ) | const

## Member Data Documentation

H248_TerminationIDList H248_ServiceChangeRequest::m_terminationID

H248_ServiceChangeParm H248_ServiceChangeRequest::m_serviceChangeParms

The documentation for this class was generated from the following file:

- h248.h